LatexMath Plugin

I am using Confluence 4.3.7 and LatexMath 1.4.2 Latex Plugin. But, due to issues with this plugin in quality, i  planned to upgrade to 1.9 version because it appears to fix the issues we had. However, despite of having valid license key and successful installation, am unable to enable the Latex Modules. Hence, it does not work on my wiki instance. Am stuck, please help.

 

Log file:

-- url: /pages/doeditattachment.action | page: 69444573 | userName: sudverma | action: doeditattachment
2015-04-29 22:19:03,758 WARN [http-8080-9] [core.rest.async.AsynchronousTaskManager] isBaseUrlValid Configured a
pplication base URL (http://edadocs.software.keysight.com:80) does not match base URL from request (http://chint
u.srs.is.keysight.com:80)
-- url: /rest/plugins/1.0/installed-marketplace | userName: pogandhi | referer: http://chintu.srs.is.keysight.c
om/plugins/servlet/upm
2015-04-29 23:38:52,328 WARN [http-8080-8] [core.rest.async.AsynchronousTaskManager] isBaseUrlValid Configured a
pplication base URL (http://edadocs.software.keysight.com:80) does not match base URL from request (http://chint
u.srs.is.keysight.com:80)
-- url: /rest/plugins/1.0/installed-marketplace | userName: pogandhi | referer: http://chintu.srs.is.keysight.c
om/plugins/servlet/upm
2015-04-29 23:39:33,887 INFO [UpmAsynchronousTaskManager:thread-3] [atlassian.plugin.manager.DefaultPluginManage
r] disableDependentPlugins Found dependent enabled plugins for uninstalled plugin 'com.tensixtwo.conf.latexmath'
: []. Disabling...
2015-04-29 23:39:33,888 INFO [UpmAsynchronousTaskManager:thread-3] [atlassian.plugin.manager.DefaultPluginManage
r] updatePlugin Updating plugin 'com.tensixtwo.conf.latexmath' to 'com.tensixtwo.conf.latexmath'
2015-04-29 23:39:33,990 ERROR [Spring executor 15] [plugin.osgi.factory.OsgiPlugin] onSpringContextFailed Unable
to start the Spring context for plugin com.tensixtwo.conf.latexmath
-- url: /rest/plugins/1.0/ | userName: pogandhi | referer: http://chintu.srs.is.keysight.com/plugins/servlet/up
:
-- url: /pages/doeditattachment.action | page: 69444573 | userName: sudverma | action: doeditattachment
2015-04-29 22:19:03,758 WARN [http-8080-9] [core.rest.async.AsynchronousTaskManager] isBaseUrlValid Configured a
pplication base URL (http://edadocs.software.keysight.com:80) does not match base URL from request (http://chint
u.srs.is.key

1 answer

I have fixed base URL issue. However, I am finding another issue:

-- url: /rest/plugins/1.0/ | userName: pogandhi | referer: http://chintu.srs.is.keysight.com/plugins/servlet/up
m
org.springframework.beans.factory.CannotLoadBeanClassException: Error loading class [com.tensixtwo.conf.latexmat
h.renderer.LatexRendererManager] for bean with name 'latexRendererManager' defined in URL [bundle://162.0:0/META
-INF/spring/atlassian-plugins-components.xml]: problem with class file or dependent class; nested exception is j
ava.lang.UnsupportedClassVersionError: com/tensixtwo/conf/latexmath/renderer/LatexRendererManager : Unsupported
major.

Suggest an answer

Log in or Sign up to answer
How to earn badges on the Atlassian Community

How to earn badges on the Atlassian Community

Badges are a great way to show off community activity, whether you’re a newbie or a Champion.

Learn more
Community showcase
Posted Jul 10, 2018 in Confluence

We want to see the templates you've created in Confluence!

Hi Community, Jessica here from the Confluence Product Marketing team!  July’s community challenge is all about sharing pictures  — and as an extension of our first post on what ...

907 views 23 12
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you